Subject: Re: Solved: Still trouble with IPC
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Tue, 17 Feb 2004 09:54:30 -0800

On Sun, Feb 15, 2004 at 05:24:29PM -0500, Charles Wilson wrote:
> Frank Wübbeling wrote:
> >Looking at the cygwin sources, I realized that any access to cygserver is
> >disabled unless I explicitly export CYGWIN="server=1". Doing this
> >immediately solved my problems. Weird. Since cygserver is now the default
> >IPC code, shouldn't the default for allow_server be "yes"?
> 
> Not until all of the software that is part of the distribution which 
> currently uses cygipc has been officially switched over to using 
> cygserver.  At present, this includes
> 
>   postgresql
>   cygwin-xfree (all packages)
>   xemacs
>   GraphicsMagick
>   ImageMagick
>   gd
>   ddd
>   gv
>   xaw3d
>   openbox
>   fvwm
>   x2x
>   lesstif
>   xwinclip
> 
> I'm not sure how many of these directly use cygipc themselves, or just 
> need it because they're X programs, and XFree86 needs it.

?? Can't you use apps linked with -lcygipc and still use cygserver for other things?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/